Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class TelnetTask.TelnetRead

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
            |
            +--org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetRead

Enclosing class:
  TelnetTask

public class TelnetTask.TelnetRead
extends TelnetTask.TelnetSubTask

This class reads the output from the connected server until the required string is found.

Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
`taskString`

Constructor Summary
`TelnetTask.TelnetRead()`

Method Summary
`void` | `execute(TelnetTask.AntTelnetClient telnet)`
`void` | `setDefaultTimeout(java.lang.Integer defaultTimeout)` Sets the default timeout if none has been set already
`void` | `setTimeout(java.lang.Integer i)` Override any default timeouts

Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.TelnetTask.TelnetSubTask
`addText, setString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TelnetTask.TelnetRead

    public TelnetTask.TelnetRead()

Method Detail

### execute

    public void execute(TelnetTask.AntTelnetClient telnet)
                 throws BuildException

  Overrides:
    `execute` in class `TelnetTask.TelnetSubTask`

### setTimeout

    public void setTimeout(java.lang.Integer i)

  Override any default timeouts

### setDefaultTimeout

    public void setDefaultTimeout(java.lang.Integer defaultTimeout)

  Sets the default timeout if none has been set already

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.